Package: org.codehaus.groovy.runtime.typehandling

## [Java] Class BigDecimalMath

- org.codehaus.groovy.runtime.typehandling.BigDecimalMath

-     public final class BigDecimalMath
      extends NumberMath

  BigDecimal NumberMath operations

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `DIVISION_EXTRA_PRECISION` |
    `static int` | `DIVISION_MIN_SCALE` |
    `static BigDecimalMath` | `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Number` | `addImpl(Number left, Number right)`
    `` | `public int` | `compareToImpl(Number left, Number right)`
    `` | `public Number` | `divideImpl(Number left, Number right)`
    `` | `public Number` | `multiplyImpl(Number left, Number right)`
    `` | `public Number` | `subtractImpl(Number left, Number right)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NumberMath` | `abs, add, addImpl, and, bitwiseNegate, compareTo, compareToImpl, divide, divideImpl, getMath, intdiv, isBigDecimal, isBigInteger, isByte, isFloatingPoint, isInteger, isLong, isShort, leftShift, mod, multiply, multiplyImpl, or, rightShift, rightShiftUnsigned, subtract, subtractImpl, toBigDecimal, toBigInteger, unaryMinus, unaryPlus, xor`

- - ### Field Detail

    - #### public static final int DIVISION_EXTRA_PRECISION

    - #### public static final int DIVISION_MIN_SCALE

    - #### public static final BigDecimalMath INSTANCE

  - ### Method Detail

    - #### @Override
      public Number addImpl(Number left, Number right)

    - #### @Override
      public int compareToImpl(Number left, Number right)

    - #### @Override
      public Number divideImpl(Number left, Number right)

    - #### @Override
      public Number multiplyImpl(Number left, Number right)

    - #### @Override
      public Number subtractImpl(Number left, Number right)